--If a Command has "NOTESKIN:GetMetricA" in it, that means it gets the command from the metrics.ini, else use cmd(); to define command.
--If you dont know how "NOTESKIN:GetMetricA" works here is an explanation.
--NOTESKIN:GetMetricA("The [Group] in the metrics.ini", "The actual Command to fallback on in the metrics.ini");

local reverse = GAMESTATE:GetPlayerState(1):GetCurrentPlayerOptions():Reverse()
local notefieldY = MovableValues.NotefieldY
local rawMini = GAMESTATE:GetPlayerState(1):GetCurrentPlayerOptions():Mini()
local scale = 1/(1-(rawMini/2))

local t =
	Def.ActorFrame {
	Def.Sprite {
		Texture = NOTESKIN:GetPath("_down", "Go Receptor"),
		Frame0000 = 0,
		Delay0000 = 0.2,
		Frame0001 = 1,
		Delay0001 = 0.8,
		InitCommand = function(self)
			if reverse == 1 then     
                        else
                                self:addrotationx(180)
                        end
		end,
		NoneCommand = NOTESKIN:GetMetricA("ReceptorArrow", "NoneCommand"),
		PressCommand = NOTESKIN:GetMetricA("ReceptorArrow", "PressCommand"),
		LiftCommand = NOTESKIN:GetMetricA("ReceptorArrow", "LiftCommand"),
		W5Command = NOTESKIN:GetMetricA("ReceptorArrow", "W5Command"),
		W4Command = NOTESKIN:GetMetricA("ReceptorArrow", "W4Command"),
		W3Command = NOTESKIN:GetMetricA("ReceptorArrow", "W3Command"),
		W2Command = NOTESKIN:GetMetricA("ReceptorArrow", "W2Command"),
		W1Command = NOTESKIN:GetMetricA("ReceptorArrow", "W1Command")
	},
	Def.Sprite {
		Texture = "StageLeft (doubleres).png",
		InitCommand = function(self)
			if notefieldY == nil then notefieldY = 0 end
			-- here be dragons
			if reverse == 1 then
				self:horizalign(right):addx(-32):addy((-163*scale)-notefieldY):zoom(scale)
			else
				self:horizalign(right):addx(-32):addy((163*scale)-notefieldY):zoom(scale)
			end	
		end
	}

}
return t
